Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#1 Le 20/06/2005, à 21:27

CoolRasta

Install de librairies

salut a tous

Je suis tout nouveau sous linux et je dois rédiger un programme de jeu en C. Le problemes est que j'ai deja le code mai il me faut une librairie pour gerer le reseau. Cette librairie je la possede egalement mais je ne c pa l'installer.

La librairie se nomme st-1.4.tgz. Malheureusement je ne comprends rien a ce qui est expliquer dans le read me. En gros cela me dit :

To build rpms (RedHat Linux 6.2 or later, Linux/Mandrake, Solaris with
gnome, etc.):
    download the latest st-x.y.tar.gz
    # rpm -ta st-x.y.tar.gz
The .rpms will land in /usr/src/RPMS/<arch>.  Install them with:
    # rpm -i libst*.rpm
Requires GNU automake and rpm 3.0.3 or later.

Debian users:
  If you run potato, please upgrade to woody.
  If you run woody, "apt-get install libst-dev" will get you v1.3.
  If you run testing/unstable, you will get the newest available version.
  If you *must* have the newest libst in woody, you may follow these
  not-recommended instructions:
    1. Add "deb-src <your-favourite-debian-mirror> unstable main" to your
       /etc/apt/sources.list
    2. apt-get update
    3. apt-get source st
    4. cd st-1.4 (or whatever version you got)
    5. debuild
    6. dpkg -i ../*.deb

If your application uses autoconf to search for dependencies and you
want to search for a given version of libst, you can simply add
        PKG_CHECK_MODULES(MYAPP, st >= 1.3 mumble >= 0.2.23)
to your configure.ac/in.  This will define @MYAPP_LIBS@ and
@MYAPP_CFLAGS@ which you may then use in your Makefile.am/in files to
link against mumble and st.

Si quelqu'un pouvait maider ce serait vraiment cool car la suis perdu mais de chez perdu!!!

#2 Le 20/06/2005, à 21:37

Stemp

Re : Install de librairies

Salut,

La meilleure solution pour installer des librairies ou des logiciels, c'est de passer soit par Synaptic, soit en ligne de commande par apt-get. Donc :

Soit : sudo apt-get install libst-dev
Soit : Synaptic et tu recherches ce paquet (libst-dev)

Verifie bien que tu as activé les dépôts "Universe" (cf la documentation)


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#3 Le 20/06/2005, à 21:38

coxx

Re : Install de librairies

sudo apt-get install libst-dev

(c'est écrit dans le readme.)

Pour cela, il faut que tu aies les dépôts universe d'activés (vas voir sur http://www.ubuntu-fr.org/articles/intro … _synaptic/ si tu ne sais pas comment ajouter un dépôt dans ton sources.list)


Monsieur K, de la chanson française parigote indépendante qui frappe fort !

Clips, paroles et sons disponibles sur le myspace de Monsieur K

Hors ligne

#4 Le 20/06/2005, à 21:39

coxx

Re : Install de librairies

Stemp a écrit :

en gros les mêmes choses que moi, mais avant moi

Argh. Pas assez rapide smile


Monsieur K, de la chanson française parigote indépendante qui frappe fort !

Clips, paroles et sons disponibles sur le myspace de Monsieur K

Hors ligne

#5 Le 20/06/2005, à 21:40

CoolRasta

Re : Install de librairies

Salut

Je possede la librairie mai s je ne sait pas comment l'installer j'ai essayer de suivre le sinstruction mai  j'ai l'impression qu'il me manque tjrs quelques chose je ne sait plus comment faire.

#6 Le 20/06/2005, à 21:44

CoolRasta

Re : Install de librairies

alors j'ai taper en commande ce que vous venez de me dire mais g ca qui apparait (désolé pour le txt mais je suis vraiment un noob sous linux et g bcp de mal)

Paramétrage de libst-dev (1.5.1-2) ...
W: Impossible de localiser la liste des paquets sources ftp://ftp.nerim.net stable/main Packages (/var/lib/apt/lists/ftp.nerim.net_debian-marillat_dists_stable_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources ftp://ftp.nerim.net testing/main Packages (/var/lib/apt/lists/ftp.nerim.net_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/main Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/universe Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_universe_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/multiverse Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_multiverse_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/restricted Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_restricted_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/main Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/universe Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_universe_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/multiverse Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_multiverse_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/restricted Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_restricted_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.
pilip@ubuntu:~$

et qd je vois ca je capte rien. La je ne sait pas comment faire pour que l'install soit possible
Merci

#7 Le 20/06/2005, à 21:47

CoolRasta

Re : Install de librairies

g taper cela dans la console:

sudo apt-get install libst-dev

mai le message lors de l'install me dit ce que j'ai mis dans mon msg précedent

#8 Le 20/06/2005, à 21:48

coxx

Re : Install de librairies

sudo apt-get update

(pour mettre à jour la liste des paquets)

suivi de

 sudo apt-get install libst-dev

et

sudo apt-get upgrade

au passage ne ferait pas de mal.

Au passage, tu as l'air d'avoir activé les backports, je suis pas sûr que ce soit une bonne idée si tu es débutant. On t'a juste dit d'activer les dépôts universe.


Monsieur K, de la chanson française parigote indépendante qui frappe fort !

Clips, paroles et sons disponibles sur le myspace de Monsieur K

Hors ligne

#9 Le 20/06/2005, à 21:50

CoolRasta

Re : Install de librairies

g taper ce code

sudo apt-get update

et la reponse:

W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

#10 Le 20/06/2005, à 21:53

Stemp

Re : Install de librairies

Comme le dit si bien coxx :

Inutile de poster ton message sur différents lieux à la fois. On le lit de toutes façons. Ca encombre le forum.

Donc Post en double supprimé wink


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#11 Le 20/06/2005, à 21:56

coxx

Re : Install de librairies

CoolRasta a écrit :

g taper ce code

sudo apt-get update

et la reponse:

W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Il y avait forcément quelque chose avant le "W : VOus pouvez ..." .
AU passage, désactive les backports, je persiste à dire que c'est une mauvaise idée pour un débutant.

Ton sources.list peut se réduire à ça pour être fonctionnel :

deb http://fr.archive.ubuntu.com/ubuntu hoary main restricted
deb http://fr.archive.ubuntu.com/ubuntu hoary-updates main restricted
deb http://security.ubuntu.com/ubuntu hoary-security main restricted
deb http://security.ubuntu.com/ubuntu hoary-security universe
deb http://www.mirrorservice.org/sites/archive.ubuntu.com/ubuntu hoary universe
deb http://ftp.inf.tu-dresden.de/os/linux/dists/ubuntu hoary multiverse
deb http://archive.ubuntu.com/ubuntu/ hoary-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ hoary-security main restricted universe
#Marillat
#deb ftp://ftp.nerim.net/debian-marillat/ unstable main
#deb ftp://ftp.nerim.net/debian-marillat/ stable main


Monsieur K, de la chanson française parigote indépendante qui frappe fort !

Clips, paroles et sons disponibles sur le myspace de Monsieur K

Hors ligne

#12 Le 20/06/2005, à 22:02

CoolRasta

Re : Install de librairies

Deja excuser moi pour le double post.

Ensuite je ne sait mem pas ce que sont les backports

Enfin je comprends rien ce que vosu m'expliquez. J'essai de suivre vos instructions mais ya tjrs des messages d'erreurs qui suivent

#13 Le 20/06/2005, à 22:03

Stemp

Re : Install de librairies


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#14 Le 20/06/2005, à 22:08

CoolRasta

Re : Install de librairies

Merci
Je vais essayer de me débrouille ravec tout ca mais je pense pas m'en sortir...

#15 Le 20/06/2005, à 22:10

Stemp

Re : Install de librairies

Mais si, ne t'inquiète pas wink
Après avoir modifié tes dépôts, tu verras que ça marche tout seul.
PS : utilise Synaptic, c'est quand même bien plus simple


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#16 Le 20/06/2005, à 22:13

CoolRasta

Re : Install de librairies

Désolé mais g encore un pb en passant par synoptic . Au démarrage une fenêtre s'ouvre et en voila le contenu

W: Impossible de localiser la liste des paquets sources ftp://ftp.nerim.net stable/main Packages (/var/lib/apt/lists/ftp.nerim.net_debian-marillat_dists_stable_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources ftp://ftp.nerim.net testing/main Packages (/var/lib/apt/lists/ftp.nerim.net_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/main Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/universe Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_universe_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/multiverse Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_multiverse_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-backports/restricted Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-backports_restricted_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/main Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/universe Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_universe_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/multiverse Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_multiverse_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Impossible de localiser la liste des paquets sources http://backports.ubuntuforums.org hoary-extras/restricted Packages (/var/lib/apt/lists/backports.ubuntuforums.org_backports_dists_hoary-extras_restricted_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)

Je sait qu'avant ca marchait synoptic car un pote etait passer chez pour installer je sait plus trop quoi dont javais besoin. Mais là....

Haut de page ↑